/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：平台组件库
*
* createdate:  2022-08-29 10:13:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "平台组件库")
public class CpComponentLibraryQueryDto implements Serializable
{
    /**
     * 组件库id
     */
    @ApiModelProperty("组件库id")
    private String libId;

    /**
     * 查询组件列表范围0-基础组件 1-插件 2- 函数
     */
    @ApiModelProperty("查询组件列表范围0-基础组件 1-插件 2- 函数")
    private String comCategory;

    /**
     * 组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，<br>
     */
    @ApiModelProperty("组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，")
    private Integer libraryType;

    /**
     * 是否查询所有
     * 以区分是组件库全量查询还是具体项目查询使用
     */
    @ApiModelProperty("是否查询所有")
    @NotNull(message = "查询范围标识缺失")
    private boolean queryAll;

    /**
     * 模糊搜索输入内容
     */
    @ApiModelProperty("模糊搜索输入内容")
    private String selectName;

    public String getComCategory() {
        return comCategory;
    }

    public void setComCategory(String comCategory) {
        this.comCategory = comCategory;
    }

    public Integer getLibraryType() {
        return libraryType;
    }

    public void setLibraryType(Integer libraryType) {
        this.libraryType = libraryType;
    }

    public boolean isQueryAll() {
        return queryAll;
    }

    public void setQueryAll(boolean queryAll) {
        this.queryAll = queryAll;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getSelectName() {
        return selectName;
    }

    public void setSelectName(String selectName) {
        this.selectName = selectName;
    }
}